package com.miaxis.wx.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.wx.domain.WxOrder;
import com.miaxis.wx.dto.QuerySchoolOrderListDTO;

import java.util.List;

/**
 */
public interface IWxOrderService extends IService<WxOrder>{



    void createVipOrder(WxOrder order);

    WxOrder getByOutTradeNo(String outTradeNo);


    List<WxOrder> QuerySchoolOrderList(QuerySchoolOrderListDTO dto);

    String wxwithdrawal(Integer amount) throws Exception;
}
